<!ENTITY % atributoNombre "nombre ID #REQUIRED">
<!ELEMENT constelaciones (constelacion+, observatorio*, descubridor?)>
<!ELEMENT constelacion EMPTY>
<!ATTLIST constelacion %atributoNombre;
                       numEstrellas CDATA #IMPLIED
                       forma (cuadrada | circular | triangular) "cuadrada"
                       localizacion CDATA #FIXED "cielo">
<!ELEMENT observatorio (#PCDATA | opinion)*>
<!ATTLIST observatorio %atributoNombre;
                       principalDescubrimiento IDREF #IMPLIED
                       descubrimientos IDREFS #IMPLIED>
<!ELEMENT opinion (#PCDATA)>
<!ELEMENT descubridor (nombre, localidad, (mujer | hombre))>
<!ELEMENT nombre (#PCDATA)>
<!ELEMENT localidad (#PCDATA)>
<!ELEMENT mujer EMPTY>
<!ELEMENT hombre EMPTY>
<!ENTITY pais "España">